CRMchat APIBeta

List campaigns

GET
/workspaces/{workspaceId}/outreach/sequences

Returns a paginated list of outreach campaigns in a workspace.

Authorization

bearerAuth
AuthorizationBearer <token>

API key (sk_...) as Bearer token

In: header

Path Parameters

workspaceId*string

Query Parameters

limit?integer

Maximum number of items to return.

Range1 <= value <= 100
Default20
startingAfter?string

A cursor for pagination. Use the value from cursors.next in a previous response.

endingBefore?string

A cursor for pagination. Use the value from cursors.previous in a previous response.

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/workspaces/string/outreach/sequences"
{  "data": [    {      "createdAt": "2019-08-24T14:15:22Z",      "createdBy": "string",      "updatedAt": "2019-08-24T14:15:22Z",      "estimatedLastMessageAt": null,      "schedulingStatusReason": "outside_planning_window",      "workspaceId": "string",      "listId": "string",      "name": "string",      "status": "draft",      "accounts": {        "mode": "all",        "selected": [          "string"        ],        "conversationStrategy": "prefer-existing-dialog"      },      "contactOwnerSettings": {        "ownerIds": [          "string"        ]      },      "contactCreationTrigger": "on-reply",      "contactDefaults": {        "property1": "string",        "property2": "string"      },      "contactUpdatesOnReply": {        "property1": "string",        "property2": "string"      },      "messages": [        {          "id": "string",          "delay": {            "period": "minutes",            "value": 0          },          "text": "string",          "type": "text"        }      ],      "duplicationResolutionNeeded": true,      "totalLeads": 0,      "completedLeadsCount": 0,      "id": "string"    }  ],  "hasMore": true,  "cursors": {    "next": "string",    "previous": "string"  }}